// uart.h

// Prototypes
void InitUART( unsigned char baudrate );
unsigned char ReceiveByte( void );
void TransmitByte( unsigned char data );
void puts(char *outstrg);
void putfs(const char *flashstrg);
void putchar( unsigned char data );
unsigned char getchar( void );
void printhex(unsigned char hexval);
unsigned char getc(void);


/* defines  */
#define 	NO  		  0x00
#define 	YES 		  0x01
#define 	ON  		  0x00
#define 	OFF 		  0x01
#define 	DEBUG 		  0
#define 	XON   		  0x11
#define 	XOFF  		  0x13
#define 	LF	  		  0x0a
#define 	CR	  		  0x0d
#define  	SPACE 	   	  0x20

#define		MAXSTRLEN	  50
